<app-nav-menu></app-nav-menu>
<ng-container *ngIf="collaborateur!=undefined">
  <h2>{{ collaborateur.prenom }} {{ collaborateur.nom }} </h2>

  <h3>Agence : {{ collaborateur.businessUnit.nom}}</h3>
  <h3>Date embauche : {{ collaborateur.dateArrivee}}</h3>
</ng-container>
<ng-container *ngIf="collaborateur==undefined || !eploaded">
  <mat-spinner></mat-spinner>
</ng-container>

<ng-container *ngIf= "eploaded && epEffectues.length==0">
  <h3> Aucun EP effectué encore </h3>
</ng-container>

<ng-container *ngIf= "eploaded && epEffectues.length!=0">
  <h3>Liste des précédents EP</h3>
  <mat-table [dataSource]="this.dataSource" matSort>
    <ng-container matColumnDef="dateentretien">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Date entretient</mat-header-cell>
      <mat-cell *matCellDef="let row">{{ row.dateentretien}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="referent">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Référent</mat-header-cell>
      <mat-cell *matCellDef="let row"> {{ row.referent.prenom }} {{ row.referent.nom }}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="type">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Type</mat-header-cell>
      <mat-cell *matCellDef="let row">{{ row.type}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="details">
      <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
      <mat-cell *matCellDef="let row" [routerLink]="['/ep',row.id]"> Voir détails EP </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
</ng-container>
